package models

type Query struct {
	Data Data `json:"data"`
}
type ResponseStatus struct {
	Ack      string `json:"Ack"`
	Typename string `json:"__typename"`
}
type ResponseHead struct {
	ErrorCode    string `json:"errorCode"`
	ErrorMessage string `json:"errorMessage"`
	Typename     string `json:"__typename"`
}
type ResultBasicInfo struct {
	IsAll         bool        `json:"isAll"`
	ResultFlag    interface{} `json:"resultFlag"`
	CriteriaToken string      `json:"criteriaToken"`
	SegmentNo     int         `json:"segmentNo"`
	Typename      string      `json:"__typename"`
}
type DurationInfo struct {
	Hour     int    `json:"hour"`
	Min      int    `json:"min"`
	Typename string `json:"__typename"`
}
type MinPriceInfo struct {
	AvgPrice   float64 `json:"avgPrice"`
	TotalPrice float64 `json:"totalPrice"`
	Typename   string  `json:"__typename"`
}
type FilterInfoList struct {
	StopType  int    `json:"stopType"`
	ArrPeriod []int  `json:"arrPeriod"`
	DepPeriod []int  `json:"depPeriod"`
	DTimeStr  string `json:"dTimeStr"`
	ATimeStr  string `json:"aTimeStr"`
	Typename  string `json:"__typename"`
}
type DCityInfo struct {
	Code     string `json:"code"`
	Name     string `json:"name"`
	Typename string `json:"__typename"`
}
type ACityInfo struct {
	Code     string `json:"code"`
	Name     string `json:"name"`
	Typename string `json:"__typename"`
}
type DPortInfo struct {
	Code     string      `json:"code"`
	Name     string      `json:"name"`
	Terminal interface{} `json:"terminal"`
	Typename string      `json:"__typename"`
}
type APortInfo struct {
	Code     string      `json:"code"`
	Name     string      `json:"name"`
	Terminal interface{} `json:"terminal"`
	Typename string      `json:"__typename"`
}
type AirlineInfo struct {
	Code     string      `json:"code"`
	Name     string      `json:"name"`
	IsLCC    bool        `json:"isLCC"`
	Alliance interface{} `json:"alliance"`
	Typename string      `json:"__typename"`
	LowPrice interface{} `json:"lowPrice"`
}
type CraftInfo struct {
	Name       string `json:"name"`
	MinSeats   int    `json:"minSeats"`
	MaxSeats   int    `json:"maxSeats"`
	WidthLevel string `json:"widthLevel"`
	CraftType  string `json:"craftType"`
	Typename   string `json:"__typename"`
}
type LuggageDirectInfo struct {
	DirectStatus int    `json:"directStatus"`
	DirectDesc   string `json:"directDesc"`
	DirectTitle  string `json:"directTitle"`
	Typename     string `json:"__typename"`
}
type FlightInfoList struct {
	SegmentNo            int               `json:"segmentNo"`
	ADateTime            string            `json:"aDateTime"`
	DCityInfo            DCityInfo         `json:"dCityInfo"`
	ACityInfo            ACityInfo         `json:"aCityInfo"`
	DMainCityInfo        interface{}       `json:"dMainCityInfo"`
	AMainCityInfo        interface{}       `json:"aMainCityInfo"`
	DMainCityDistance    interface{}       `json:"dMainCityDistance"`
	AMainCityDistance    interface{}       `json:"aMainCityDistance"`
	DPortInfo            DPortInfo         `json:"dPortInfo"`
	APortInfo            APortInfo         `json:"aPortInfo"`
	ArrivalDays          int               `json:"arrivalDays"`
	AirlineInfo          AirlineInfo       `json:"airlineInfo"`
	CraftInfo            CraftInfo         `json:"craftInfo"`
	CabinClass           string            `json:"cabinClass"`
	CrossingSignInfo     interface{}       `json:"crossingSignInfo"`
	DDateTime            string            `json:"dDateTime"`
	ShareAirline         interface{}       `json:"shareAirline"`
	ShareFlightNo        string            `json:"shareFlightNo"`
	DurationInfo         DurationInfo      `json:"durationInfo"`
	TransferDurationInfo interface{}       `json:"transferDurationInfo"`
	StopInfoList         interface{}       `json:"stopInfoList"`
	LuggageDirectInfo    LuggageDirectInfo `json:"luggageDirectInfo"`
	FlightNo             string            `json:"flightNo"`
	FlightFlag           int               `json:"flightFlag"`
	SequenceNo           int               `json:"sequenceNo"`
	AtbFlight            bool              `json:"atbFlight"`
	SubClass             interface{}       `json:"subClass"`
	BeMainSegment        interface{}       `json:"beMainSegment"`
	Typename             string            `json:"__typename"`
}
type ChannelInfoList struct {
	EngineType  string `json:"engineType"`
	ChannelType string `json:"channelType"`
	Typename    string `json:"__typename"`
}
type Adult struct {
	TotalPrice float64     `json:"totalPrice"`
	Tax        float64     `json:"tax"`
	Fare       float64     `json:"fare"`
	Discount   interface{} `json:"discount"`
	ExtraFee   interface{} `json:"extraFee"`
	BookingFee int         `json:"bookingFee"`
	AtolFee    interface{} `json:"atolFee"`
	Typename   string      `json:"__typename"`
}
type PriceDetailInfo struct {
	OriginalViewAvgPrice interface{} `json:"originalViewAvgPrice"`
	ViewAvgPrice         float64     `json:"viewAvgPrice"`
	ViewTotalPrice       float64     `json:"viewTotalPrice"`
	Adult                Adult       `json:"adult"`
	Child                interface{} `json:"child"`
	Infant               interface{} `json:"infant"`
	Typename             string      `json:"__typename"`
}
type ProductKeyInfo struct {
	GroupKey   string `json:"groupKey"`
	ShoppingID string `json:"shoppingId"`
	Typename   string `json:"__typename"`
}
type LimitInfo struct {
	NationalityLimitType    int           `json:"nationalityLimitType"`
	NationalityLimit        []interface{} `json:"nationalityLimit"`
	MinAge                  int           `json:"minAge"`
	MaxAge                  int           `json:"maxAge"`
	MinPassengerCount       int           `json:"minPassengerCount"`
	MaxPassengerCount       int           `json:"maxPassengerCount"`
	LocalDocumentsLimitList []interface{} `json:"localDocumentsLimitList"`
	Typename                string        `json:"__typename"`
}
type TicketDeadlineInfo struct {
	DeadlineType   int    `json:"deadlineType"`
	PromiseMinutes int    `json:"promiseMinutes"`
	Typename       string `json:"__typename"`
}
type DescriptionInfo struct {
	ProductName       string `json:"productName"`
	ProductCategory   string `json:"productCategory"`
	TicketDescription string `json:"ticketDescription"`
	Typename          string `json:"__typename"`
}
type PolicyInfoList struct {
	RemarkTokenKey                  string             `json:"remarkTokenKey"`
	ProductFlag                     int                `json:"productFlag"`
	ChannelInfoList                 []ChannelInfoList  `json:"channelInfoList"`
	ProductClass                    []string           `json:"productClass"`
	MainClass                       string             `json:"mainClass"`
	AvailableTickets                int                `json:"availableTickets"`
	PriceDetailInfo                 PriceDetailInfo    `json:"priceDetailInfo"`
	ProductKeyInfo                  ProductKeyInfo     `json:"productKeyInfo"`
	FlightPromptInfoList            interface{}        `json:"flightPromptInfoList"`
	TravelerEligibilityList         []string           `json:"travelerEligibilityList"`
	LimitInfo                       LimitInfo          `json:"limitInfo"`
	TicketDeadlineInfo              TicketDeadlineInfo `json:"ticketDeadlineInfo"`
	WhetherNonCard                  interface{}        `json:"whetherNonCard"`
	AgencyTag                       string             `json:"agencyTag"`
	Recommend                       interface{}        `json:"recommend"`
	LimitTimeFreeInfo               interface{}        `json:"limitTimeFreeInfo"`
	HasFreeCoupon                   bool               `json:"hasFreeCoupon"`
	DescriptionInfo                 DescriptionInfo    `json:"descriptionInfo"`
	MultiTicketInfo                 interface{}        `json:"multiTicketInfo"`
	CouponInfoList                  []interface{}      `json:"couponInfoList"`
	HasMemberPrice                  bool               `json:"hasMemberPrice"`
	PromoFundInfo                   interface{}        `json:"promoFundInfo"`
	KRCreditCardPromotionList       interface{}        `json:"kRCreditCardPromotionList"`
	BaggageIncluded                 int                `json:"baggageIncluded"`
	CanFlexibleChange               bool               `json:"canFlexibleChange"`
	HasAgencyModel                  bool               `json:"hasAgencyModel"`
	HasBrandTier                    bool               `json:"hasBrandTier"`
	CreditCardPaymentInfoRefNumList []interface{}      `json:"creditCardPaymentInfoRefNumList"`
	HasAtol                         bool               `json:"hasAtol"`
	BrandTier                       int                `json:"brandTier"`
	IsMoreGradeResult               bool               `json:"isMoreGradeResult"`
	PolicyTags                      interface{}        `json:"policyTags"`
	Typename                        string             `json:"__typename"`
}
type NoticeInfoList struct {
	Title       string `json:"title"`
	Description string `json:"description"`
	Typename    string `json:"__typename"`
}
type ItineraryInfoList struct {
	SegmentNo    int          `json:"segmentNo"`
	ArrivalDays  int          `json:"arrivalDays"`
	DDateTime    int          `json:"dDateTime"`
	ADateTime    int          `json:"aDateTime"`
	DurationInfo DurationInfo `json:"durationInfo"`
	ACityInfo    ACityInfo    `json:"aCityInfo"`
	DCityInfo    DCityInfo    `json:"dCityInfo"`
	APortInfo    APortInfo    `json:"aPortInfo"`
	DPortInfo    DPortInfo    `json:"dPortInfo"`
	Typename     string       `json:"__typename"`
}
type CityStopInfoGroup struct {
	Type         int          `json:"type"`
	Code         string       `json:"code"`
	Name         string       `json:"name"`
	DurationInfo DurationInfo `json:"durationInfo"`
	DiffType     int          `json:"diffType"`
	DPortInfo    DPortInfo    `json:"dPortInfo"`
	APortInfo    APortInfo    `json:"aPortInfo"`
	Index        int          `json:"index"`
	Typename     string       `json:"__typename"`
}
type ProductInfoList struct {
	DurationInfo      DurationInfo          `json:"durationInfo"`
	DDateTime         int                   `json:"dDateTime"`
	ADateTime         int                   `json:"aDateTime"`
	AvbTickets        int                   `json:"avbTickets"`
	DurationMin       int                   `json:"durationMin"`
	Currency          string                `json:"currency"`
	Score             int                   `json:"score"`
	FlightID          string                `json:"flightId"`
	IsShortestDrt     bool                  `json:"isShortestDrt"`
	IsLowestPrice     bool                  `json:"isLowestPrice"`
	ArrivalDays       int                   `json:"arrivalDays"`
	MinPriceInfo      MinPriceInfo          `json:"minPriceInfo"`
	FilterInfoList    []FilterInfoList      `json:"filterInfoList"`
	StopoverPeriod    []int                 `json:"stopoverPeriod"`
	StopoverMinute    int                   `json:"stopoverMinute"`
	FlightInfoList    []FlightInfoList      `json:"flightInfoList"`
	PolicyInfoList    []PolicyInfoList      `json:"policyInfoList"`
	NoticeInfoList    []NoticeInfoList      `json:"noticeInfoList"`
	ItineraryInfoList []ItineraryInfoList   `json:"itineraryInfoList"`
	CityStopInfoGroup [][]CityStopInfoGroup `json:"cityStopInfoGroup"`
	CanFlexibleChange bool                  `json:"canFlexibleChange"`
	HasMoreGrade      bool                  `json:"hasMoreGrade"`
	Typename          string                `json:"__typename"`
}
type IntlFlightListSearch struct {
	ResponseStatus            ResponseStatus    `json:"ResponseStatus"`
	ResponseHead              ResponseHead      `json:"responseHead"`
	LowestPrice               float64           `json:"lowestPrice"`
	OutputCurrency            string            `json:"outputCurrency"`
	ResultBasicInfo           ResultBasicInfo   `json:"resultBasicInfo"`
	ProductInfoList           []ProductInfoList `json:"productInfoList"`
	SelectedFlightInfoList    []interface{}     `json:"selectedFlightInfoList"`
	LongestDuration           int               `json:"longestDuration"`
	ShortestDuration          int               `json:"shortestDuration"`
	MaxStopoverMinute         int               `json:"maxStopoverMinute"`
	MinStopoverMinute         int               `json:"minStopoverMinute"`
	GeneralCouponCount        int               `json:"generalCouponCount"`
	CreditCardPaymentInfoList interface{}       `json:"creditCardPaymentInfoList"`
	Typename                  string            `json:"__typename"`
}
type Data struct {
	IntlFlightListSearch IntlFlightListSearch `json:"intlFlightListSearch"`
}
